%global major 0
%define libname %mklibname epoxy %major
%define devname %mklibname -d epoxy

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Direct Rendering Manager runtime library
Name:		libepoxy
Group:		System/Libraries
Version:	1.4.3
Release:	%mkrel 1
License:	MIT
URL:		http://github.com/anholt/libepoxy
Source0:	https://github.com/anholt/libepoxy/releases/download/v%{version}/libepoxy-%{version}.tar.xz
BuildRequires:  meson
BuildRequires:	GL-devel
BuildRequires:	mesa-devel
BuildRequires:	x11-util-macros
BuildRequires:	python3

%description
A library for handling OpenGL function pointer management.

%package -n %{libname}
Summary:	Direct Rendering Manager runtime library
Group:		System/Libraries

%description -n %{libname}
A library for handling OpenGL function pointer management.

%package -n %{devname}
Summary:	Development files for libepoxy
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
%meson
%meson_build

%install
rm -rf %buildroot
%meson_install

# NOTE: We intentionally don't ship *.la files
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc README.md
%{_libdir}/libepoxy.so.%{major}
%{_libdir}/libepoxy.so.%{major}.*

%files -n %{devname}
%dir %{_includedir}/epoxy/
%{_includedir}/epoxy/*
%{_libdir}/libepoxy.so
%{_libdir}/pkgconfig/epoxy.pc


%changelog
* Sat Sep 02 2017 adrianomorselli <adrianomorselli> 1.4.3-1uplos2017
- update
- test meson build
